Flagship cũ không được lên Android 7.0, hãy trách Qualcomm!

Flagship cũ không được lên Android 7.0, hãy trách Qualcomm!

Nhiều flagship ra mắt vào năm 2014, điển hình như  HTC One M8, Xperia Z2/Z3 hay cả Nexus 5 sẽ không được nâng cấp lên Android 7.0 mới nhất, nhưng đừng vội chỉ trích các nhà sản xuất, bởi họ chẳng làm được gì khi mà chính Qualcomm cũng không thèm hỗ trợ.

Flagship cũ không được lên Android 7.0, hãy trách Qualcomm!

Cụ thể, theo các nhà phát triển ROM và HTC LlabTooFeR cho biết Qualcomm sẽ không phát hành bản cập nhật bộ driver đồ họa trên hai con chip là Snapdragon 800 và Snapdragon 801. Đó là lý do vì sao HTC One (M8) và Nexus 5 là hai điện thoại tiêu biểu sẽ không được cập nhật lên Android 7.0 Nougat mới nhất, dù cả HTC và Google đều đã từng hứa hẹn rất nhiều về khoản hỗ trợ phần mềm lâu dài.

Thường thì các nhà sản xuất sẽ ngừng hỗ trợ phần mềm sau 2 - 3 năm ra mắt, nhưng người dùng cũng đang rất "ức chế" khi mà những siêu phẩm một thời như Galaxy S5, Note 3, Xperia Z3 hay LG G3 thì lại bị bỏ sót. Tất nhiên, nếu trong tương lai, Qualcomm có bị bắt buộc phải phát hành bản cập nhật driver đi nữa, vẫn có nhiều khả năng vài trong số những flagship này cũng không được nâng cấp vì vòng đời đã hết.

Flagship cũ không được lên Android 7.0, hãy trách Qualcomm!

Vì sao Android 7.0 Nougat lại cần driver GPU mới? Bởi vị trên Android 7.0 Nougat yêu cầu GPU phải hỗ trợ OpenGL ES 3.1 hoặc Vulkan. Trong khi đó Snapdragon 800 và 801 lại sử dụng GPU Adreno 330 vẫn chưa được hỗ trợ một trong hai điều kiện trên. Phải từ Snapdragon 805 sử dụng GPU Adreno 420 mới đủ điều kiện nâng cấp lên Android 7.0 Nougat.

Người dùng của các thiết bị trên giờ chỉ có thể lựa chọn hai phương án, một là "chịu khó" dùng tiếp Android 6.0, hai là chờ đợi các bản ROM custom do cộng đồng developer phát triển. Ngoài ra, nếu có điều kiện thì bạn nên mua một thiết bị khác chạy sẵn Android 7.0, vừa được trải nghiệm các tính năng mới, vừa đỡ lo cập nhật lên lại dính lỗi vặt.

Tham khảo: Sforum.

Nên xem

Bình luận